%define upstream_name    Devel-Caller-Perl
%define upstream_version 1.4

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary: 	%{upstream_name} module for perl
License: 	GPL+ or Artistic
Group: 		Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0: 	http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl(Module::Build)

BuildArch: 	noarch


Requires: 	perl(Exporter::Lite)

%description
%{upstream_name} module for perl.  This module allows a method to get at
arguments passed to subroutines higher up in the call stack.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%defattr(444,root,root,755)
%doc README META.yml
%{perl_vendorlib}/Devel/Caller/*
%_mandir/man3/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.400.0-7.mga6
+ Revision: 1025490
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.400.0-6.mga6
+ Revision: 946543
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.400.0-5.mga5
+ Revision: 746769
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.400.0-4.mga5
+ Revision: 684302
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.400.0-3.mga4
+ Revision: 510776
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.400.0-2.mga3
+ Revision: 365677
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.400.0-1.mga1
+ Revision: 26078
- mageia rebuild
- imported package perl-Devel-Caller-Perl


* Fri Feb 12 2010 Jérôme Quelin <jquelin@mandriva.org> 1.400.0-1mdv2010.1
+ Revision: 504940
- rebuild using %%perl_convert_version

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.4-4mdv2010.0
+ Revision: 430408
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 1.4-3mdv2009.0
+ Revision: 241206
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Aug 20 2007 Thierry Vignaud <tv@mandriva.org> 1.4-1mdv2008.0
+ Revision: 67611
- use %%mkrel


* Tue Feb 17 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.4-1mdk
- 1.4

* Wed Apr 16 2003 Peter Chen <petechen@netilla.com> 1.3-1mdk
- Initial packaging.

